/* Anchor.java
 *
 * Jim McBeath, March 12, 2003
 */

package net.jimmc.spelsim;

/** The anchor point on the surface of the planet. */
public class Anchor {
    /** The longitude of the anchor in degrees west of meridian.
     * Range is (-180,180]
     */
    double longitude;

    /** The latitude of the anchor in degrees north of equator.
     * Range is [-90,90]
     */
    double latitude;

    /** Create an anchor. */
    public Anchor() {}

    /** Set the longitude of the anchor.
     * @param longitude The longitude of the anchor in degrees.
     */
    public void setLongitude(double longitude) {
    	this.longitude = longitude;
    }

    /** Get the longitude of the anchor.
     * @return The longitude of the anchor in degrees.
     */
    public double getLongitude() {
    	return longitude;
    }

    /** Set the latitude of the anchor.
     * @param latitude The latitude of the anchor in degrees.
     */
    public void setLatitude(double latitude) {
    	this.latitude = latitude;
    }

    /** Get the latitude of the anchor.
     * @return The latitude of the anchor in degrees.
     */
    public double getLatitude() {
    	return latitude;
    }
}

//end
