/* EnterListener.java
 *
 * Jim McBeath, March 14, 2003
 */

package net.jimmc.spelsim;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;

class EnterListener implements ActionListener, FocusListener {
    double enterValueD = 0.0;
    int enterValueN = 0;

    public void actionPerformed(ActionEvent ev) {
	Object obj = ev.getSource();
	if (obj instanceof DoubleField) {
            DoubleField field = (DoubleField)obj;
            double d = field.getDoubleValue();
            valueEntered(d);
	}
	else if (obj instanceof IntegerField) {
            IntegerField field = (IntegerField)obj;
            int n = field.getIntValue();
            valueEntered(n);
	} else {
            System.out.println("Error, not a DoubleField or IntegerField");
        }
    }
    public void focusGained(FocusEvent ev) {
	Object obj = ev.getSource();
	if (obj instanceof DoubleField) {
            DoubleField field = (DoubleField)obj;
            enterValueD = field.getDoubleValue();
	}
	else if (obj instanceof IntegerField) {
            IntegerField field = (IntegerField)obj;
            enterValueN = field.getIntValue();
	} else {
            System.out.println("Error, not a DoubleField or IntegerField");
        }

    }
    public void focusLost(FocusEvent ev) {
	Object obj = ev.getSource();
	if (obj instanceof DoubleField) {
            DoubleField field = (DoubleField)obj;
            double d = field.getDoubleValue();
            if (d!=enterValueD)
                valueEntered(d);
        }
        else if (obj instanceof IntegerField) {
            IntegerField field = (IntegerField)obj;
            int n = field.getIntValue();
            if (n!=enterValueN)
                valueEntered(n);
        } else {
	    System.out.println("Error, not a DoubleField or IntegerField");
        }
    }

    public void valueEntered(double d){}
    public void valueEntered(int n){}
}

//end
