/* IntegerField.java
 *
 * Jim McBeath, October 12, 2007
 */

package net.jimmc.spelsim;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.TextField;
import java.text.DecimalFormat;
import java.text.Format;

class IntegerField extends TextField {

    public IntegerField() {
        super(10);
    }
    public void addEnterListener(EnterListener enterListener) {
        addActionListener(enterListener);
	addFocusListener(enterListener);
    }
    public int getIntValue() {
        String s = getText();
	if (s==null || s.trim().equals(""))
	    return 0;		//nothing to parse
	return Integer.parseInt(s);
    }
    public void setValue(int n) {
        setText(getDisplayString(n));
    }
    public void setValue(int n, ActionEvent ev) {
        setValue(n);
        ActionEvent myEv = new ActionEvent(this,
                ev.getID(),ev.getActionCommand());
        processActionEvent(myEv);
    }
    public void setEditable(boolean editable) {
        super.setEditable(editable);
	setBackground(editable?Color.white:Color.lightGray);
    }

    /** Convert an int to a string value for display. */
    protected String getDisplayString(int n) {
        return Integer.toString(n);
    }
}

//end
