/* IntegerSpinnerField.java
 *
 * Jim McBeath, November 12, 2007
 */

package net.jimmc.spelsim;

import java.awt.Button;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.FlowLayout;
import java.awt.Panel;

class IntegerSpinnerField extends Panel {

    IntegerField intField;

    public IntegerSpinnerField() {
        setLayout(new FlowLayout());
        intField = new IntegerField();
        Button plusButton = new Button("+");
        plusButton.addActionListener(new SpinAction(1));
        Button minusButton = new Button("-");
        minusButton.addActionListener(new SpinAction(-1));
        add(intField);
        add(plusButton);
        add(minusButton);
    }
    public void addEnterListener(EnterListener enterListener) {
        intField.addActionListener(enterListener);
	intField.addFocusListener(enterListener);
    }
    public int getIntValue() {
        return intField.getIntValue();
    }
    public void setValue(int n) {
        intField.setValue(n);
    }
    public void setEditable(boolean editable) {
        intField.setEditable(editable);
    }

    class SpinAction implements ActionListener {
        private int actionDelta;

        public SpinAction(int delta) {
            actionDelta = delta;
        }

        public void actionPerformed(ActionEvent ev) {
            int n = intField.getIntValue();
            n += actionDelta;
            intField.setValue(n,ev);
        }
    }

}

//end
