/* SpelControls.java
 *
 * Jim McBeath, March 14, 2003
 */

package net.jimmc.spelsim;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Panel;

public class SpelControls extends Panel {
    private final static int CONTROL_PADDING = 20;
        //pixels between each control area

    /** Our sim. */
    SpelSim sim;

    /** Our canvas. */
    SpelCanvas canvas;

    PlanetPanel planetPanel;
    MaterialPanel materialPanel;
    CablePanel cablePanel;

    public SpelControls(SpelSim sim, SpelCanvas canvas) {
        this.sim = sim;
	this.canvas = canvas;
	initLayout();
    }

    protected void initLayout() {
        GridBagLayout gb = new GridBagLayout();
	GridBagConstraints gbc = new GridBagConstraints();
	setLayout(gb);
        gbc.ipadx = CONTROL_PADDING;  //internal padding x
        gbc.ipady = CONTROL_PADDING;
	gbc.anchor = GridBagConstraints.NORTHWEST;
        gbc.fill = GridBagConstraints.NONE;
	gbc.weightx = 1;
	gbc.weighty = 0;

	gbc.gridx = 0;
	gbc.gridy = 0;
	planetPanel = new PlanetPanel(this,sim.getPlanet());
	gb.setConstraints(planetPanel,gbc);
	add(planetPanel);

	gbc.gridx = 0;
	gbc.gridy = 1;
	gbc.weighty = 1;
	gbc.gridheight = 1;
	materialPanel = new MaterialPanel(this,sim.getMaterial());
	gb.setConstraints(materialPanel,gbc);
	add(materialPanel);

	gbc.gridx = 1;
	gbc.gridy = 0;
	gbc.gridheight = 2;
	cablePanel = new CablePanel(this,sim.getCable());
	gb.setConstraints(cablePanel,gbc);
	add(cablePanel);
    }

    public void updateCable() {
	if (cablePanel!=null)
            cablePanel.updateCable();
    }
}

//end
