/* TabSelectListener.java
 *
 * Jim McBeath, November 19, 2007
 */

package net.jimmc.spelsim;

/** Listen for select and deselect events on a tab.
 * Components which are passed to TabPanel.addTab
 * and which implement this interface will be called
 * when that tab is selected or deselected.
 */
public interface TabSelectListener {
    /** Called when the tab is selected. */
    public void tabSelected();

    /** Called when the tab is deselected. */
    public void tabDeselected();
}
